				<?php
				$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
				$args = array(
					'post_type' => 'wedding_gallery',
					'paged' => $paged,
					'posts_per_page' => wedding_field('gallery_per_page')
				);
				
				$gallery = new WP_Query($args);
				global $gallery_url;
				ajax_pagination($gallery->max_num_pages,'gallery',$gallery_url);
				?>

				<?php $columns = wedding_field('gallery_columns'); ?>
			
			
				<div class="gallery columns_<?php echo $columns; ?> ajax_pagination_gallery">
					<?php while($gallery->have_posts()): $gallery->the_post(); ?>
					<div id="post-<?php the_ID(); ?>" <?php post_class('post gallery-item'); ?>>
						<?php if(wedding_field('gallery_album_target') == 'fancybox'): ?>
							<?php $url = wp_get_attachment_url( get_post_thumbnail_id() ); ?>
						<?php else: ?>
							<?php $url = get_permalink(); ?>
						<?php endif; ?>
						
						<a href="<?php echo $url; ?>" data-rel="post-<?php the_ID(); ?>">
							<span class="img"><?php echo wp_get_attachment_image( get_random_photo(),wedding_gallery_thumbnail_size() ); ?></span>
							<span class="img"><?php echo wp_get_attachment_image( get_random_photo(),wedding_gallery_thumbnail_size() ); ?></span>
							<span class="img<?php if ( !has_post_thumbnail() ): ?> icon-camera<?php endif; ?>">
								<?php the_post_thumbnail(wedding_gallery_thumbnail_size()); ?>
							</span>
							<strong><?php the_title(); ?></strong>
							<em><?php echo get_gallery_photos_count(); ?></em>
						</a>
						<?php if(wedding_field('gallery_album_target') == 'fancybox'): ?>
							<div class="hide">
								<?php $photos = get_post_meta(get_the_ID(), 'gallery_images', true); ?>
								<?php foreach($photos as $image): ?>
									<?php $full = wp_get_attachment_url( $image ); ?>
									<?php $title = get_the_title( $image ); ?>
									<a href="<?php echo $full; ?>" data-rel="post-<?php the_ID(); ?>" title="<?php echo $title; ?>"></a>
								<?php endforeach; ?>
							</div>
						<?php endif; ?>
					</div>
					<?php endwhile; ?>
				</div>
				
				<div class="clear"></div>
				
				<?php if ( $gallery->max_num_pages > 1 ) : ?>
					<nav id="nav-below" class="navigation">	
					<?php if(is_front_page()): ?>
						<p id="ajax-load-posts">
							<a href="<?php echo $gallery_url_base; ?>" class="button big">
								<span class="icon-arrows-ccw"></span>
								<strong><?php _e('Load More Posts','wedding'); ?></strong>
							</a>
						</p>
					<?php else: ?>	
						<?php if (function_exists('wp_pagenavi')) { wp_pagenavi(); } else { ?>
						<span class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&#11013;</span> Older posts', 'wedding' ),$gallery->max_num_pages ); ?></span>
						<span class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&#10145;</span>', 'wedding' ),$gallery->max_num_pages ); ?></span>
						<?php } ?>
					<?php endif; ?>
					</nav>
				<?php endif; ?>